# How to contribute

Thank you for taking the time to contribute!

## Reporting bug

- Please read the documentation, maybe it's a limitation, a known issue of that release. This might also help to clear false expectation from the tool itself, or help you to classify you request not as a bug, but maybe an enhancement.

- Ensure that the bug was not already reported by searching on GitHub under Issues.

- If you have not found an open issue addressing the problem, open a new one. Be sure to include a title and clear description, with as much relevant information as possible. You might also attach the output of the tool, this case try to run it with verbose flags.

- For more detailed information on submitting a bug report and creating an issue, visit our reporting guidelines.

## Suggesting enhancements

- Enhancement suggestions are tracked as GitHub issues.

- Use a clear and descriptive title for the issue to identify the suggestion.

- Describe the current behavior and explain which behavior you expected to see instead and why.

## Pull Requests

- Open a new GitHub pull request with the patch.

- Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

- Think about testability. Please write test(s) for the problem you have fixed. Make sure that existing test are not get broken.
